// Pain Points Data
let painPoints = [
  {
    id: 1,
    name: "Budget Constraints",
    scripts: [
      {
        id: 1,
        title: "Value Proposition Script",
        content: "Focus on long-term ROI and cost savings...",
        tone: "Professional",
        length: "Medium",
        successRate: 78
      }
    ]
  }
];

// DOM Elements
const searchInput = document.getElementById('search');
const painpointsList = document.querySelector('.painpoints-list');
const scriptModal = document.querySelector('.script-modal');
const modalContent = document.querySelector('.modal-content');

// Render Pain Points
function renderPainPoints() {
  painpointsList.innerHTML = '';
  
  painPoints.forEach(painPoint => {
    const painPointCard = document.createElement('div');
    painPointCard.className = 'painpoint-card';
    
    const painPointTitle = document.createElement('h3');
    painPointTitle.textContent = painPoint.name;
    
    const scriptsContainer = document.createElement('div');
    scriptsContainer.className = 'scripts';
    
    painPoint.scripts.forEach(script => {
      const scriptDiv = document.createElement('div');
      scriptDiv.className = 'script';
      
      const scriptTitle = document.createElement('h4');
      scriptTitle.textContent = script.title;
      
      const scriptContent = document.createElement('p');
      scriptContent.textContent = script.content;
      
      const detailsButton = document.createElement('button');
      detailsButton.className = 'view-details';
      detailsButton.textContent = 'Details';
      detailsButton.addEventListener('click', () => showScriptDetails(script));
      
      scriptDiv.append(scriptTitle, scriptContent, detailsButton);
      scriptsContainer.appendChild(scriptDiv);
    });
    
    painPointCard.append(painPointTitle, scriptsContainer);
    painpointsList.appendChild(painPointCard);
  });
}

// Show Script Details
function showScriptDetails(script) {
  const content = `
    <h2>${script.title}</h2>
    <div class="script-info">
      <p><strong>Tone:</strong> ${script.tone}</p>
      <p><strong>Length:</strong> ${script.length}</p>
      <p><strong>Success Rate:</strong> ${script.successRate}%</p>
    </div>
    <button class="close-modal">Close</button>
  `;
  
  modalContent.innerHTML = content;
  scriptModal.classList.remove('hidden');
  
  // Close modal
  const closeButton = modalContent.querySelector('.close-modal');
  closeButton.addEventListener('click', () => {
    scriptModal.classList.add('hidden');
  });
}

// Initial Render
renderPainPoints();
